%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define sdevname %mklibname %{name} -d -s

%bcond_with bootstrap

Summary:	JPEG-2000 utilities
Name:		jasper
Version:	1.900.23
Release:	1
License:	BSD-like
Group:		Graphics
Url:		http://www.ece.uvic.ca/~mdadams/jasper/
Source0: 	https://github.com/mdadams/jasper/archive/version-%{version}.tar.gz
Patch0:		jasper-1.900.23-CVE-2016-8654.patch
Patch1:		jasper-1.900.23-CVE-2016-9557.patch
Patch2:		jasper-1.900.23-CVE-2016-9560.patch
Patch3:		jasper-1.900.23-CVE-2016-9583.patch
Patch4:		jasper-1.900.23-CVE-2016-9591.patch
Patch5:		jasper-1.900.23-replace-assert-by-error-message.patch
Patch6:		jasper-1.900.23-NULL-pointer-dereference-in-jp2_cdef_destroy.patch
Patch7:		jasper-1.900.23-NULL-pointer-dereference-in-jp2_encode.patch
Patch8:		jasper-1.900.23-CVE-2016-9600.patch

BuildRequires:	jpeg-devel
%if %{without bootstrap}
BuildRequires:	pkgconfig(glut)
%endif

%description
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).  This package
contains tools for working with JPEG-2000 images.

%files
%doc README LICENSE NEWS
%{_bindir}/imgcmp
%{_bindir}/imginfo
%{_bindir}/jasper
%if %{without bootstrap}
%{_bindir}/jiv
%endif
%{_bindir}/tmrdemo
%{_mandir}/man1/imgcmp.1*
%{_mandir}/man1/imginfo.1*
%{_mandir}/man1/jasper.1*
%{_mandir}/man1/jiv.1*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for JasPer
Group:		System/Libraries

%description -n %{libname}
JasPer is a software-based implementation of the codec specified in the
emerging JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1). This package
contains shared library for working with JPEG-2000 images.

%files -n %{libname}
%{_libdir}/libjasper.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development tools for programs which will use the libjasper library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}

%description -n %{devname}
This package includes the header files necessary for developing programs which
will manipulate JPEG-2000 files using the libjasper library.

%files -n %{devname}
%doc doc/README.pdf doc/jasper.pdf doc/jpeg2000.pdf 
%dir %{_includedir}/%{name}
%dir %{multiarch_includedir}/%{name}
%{multiarch_includedir}/%{name}/*.h
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/jasper.pc

#----------------------------------------------------------------------------

%package -n %{sdevname}
Summary:	Static libraries for programs which will use the libjasper library
Group:		Development/C
Requires:	%{devname} = %{EVRD}
Provides:	%{name}-static-devel = %{EVRD}

%description -n %{sdevname}
This package includes the static libraries necessary for developing programs
which will manipulate JPEG-2000 files using the libjasper library.

%files -n %{sdevname}
%{_libdir}/*.a

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-version-%{version}
%autopatch -p1

mv doc/README doc/README.pdf

%build
autoreconf -fi

%configure2_5x --enable-shared

%make

%install
%makeinstall_std

%multiarch_includes %{buildroot}%{_includedir}/jasper/jas_config.h


%changelog

* Sat Mar 03 2018 Denis Silakov <dsilakov@virtuozzo.com> 1.900.23-1
- (bbf8c9c) Updated to 1.900.23 + a bunch of CVE fixes


